# Company

| Name                     | Type                                                 | Description                                |
| ------------------------ | ---------------------------------------------------- | ------------------------------------------ |
| createdAt                | ISO8601DateTime                                      | Datetime that the company was created      |
| defaultRoleId            | ID                                                   | Default role to assign to new users        |
| engineeringContactEmail  | String                                               | Email address for engineering contact      |
| inactivityTimeout        | Int                                                  |                                            |
| migrationMode            | Boolean                                              |                                            |
| name                     | String                                               | Name of the company                        |
| outboundEmailsEnabled    | Boolean                                              | Whether outbound email is enabled          |
| samlIssuer               | String                                               | Identity Provider Issuer                   |
| samlSignatureCertificate | String                                               | X.509 Certificate                          |
| samlSsoUrl               | String                                               | Identity Provider Single Sign-On URL       |
| ssoEnabled               | Boolean                                              |                                            |
| ssoGoogleEnabled         | Boolean                                              |                                            |
| ssoMode                  | [SsoMode](/developer/api-reference/enums.md#ssomode) |                                            |
| updatedAt                | ISO8601DateTime                                      | Datetime that the company was last updated |
| whitelistedOrigin        | String                                               | Whitelisted origin for API requests        |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.bunny.com/developer/api-reference/types/company.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
